package com.xty.network.model

import java.io.Serializable

data class WearManagerBean(
    val screen: Int,
    var disturb: Int,
    var noonDisturb: Int,
    val light: Int,
    var water: Water,
    var sit: Sit,
    var sport: Sport,
    var medicine: List<Medicine>,
    var heartRate: List<HeartRate>,
    var ooValue: OoValue,
    var temp: TempData
): Serializable{
    data class Water(
        var state: Int,//开关状态值  0:开启 1:关闭
        val intervalTime: Int,
        val startTime: String,
        val endTime: String
    ): Serializable

    data class Sit(
        var state: Int,//开关状态值  0:开启 1:关闭
        val intervalTime: Int,
        val startTime: String,
        val endTime: String
    ): Serializable

    data class Sport(
        var state: Int,//开关状态值  0:开启 1:关闭
        var step: Int,
    ): Serializable

    data class Medicine(
        val state: Int,//开关状态值  0:开启 1:关闭
        val medicationName: String,
        val medicationRemindTime: List<String>
    ): Serializable

    data class HeartRate(
        var state: Int,//开关状态值  0:开启 1:关闭
        val hrState: Int,//0过速 1过缓 2运动
        val value: Int,
        val remindCount: Int,
        val intervalTime: Int
    ): Serializable

    data class OoValue(
        var state: Int,//开关状态值  0:开启 1:关闭
        val times: Int,
        val intervalTime: Int
    ): Serializable

    data class TempData(
        var state: Int,//开关状态值  0:开启 1:关闭
        val times: Int,
        val intervalTime: Int
    ): Serializable
}